{
  "_from": "css-select@^4.1.3",
  "_id": "css-select@4.1.3",
  "_inBundle": false,
  "_integrity": "sha512-gT3wBNd9Nj49rAbmtFHj1cljIAOLYSX1nZ8CB7TBO3INYckygm5B7LISU/szY//YmdiSLbJvDLOx9VnMVpMBxA==",
  "_location": "/css-select",
  "_phantomChildren": {},
  "_requested": {
    "type": "range",
    "registry": true,
    "raw": "css-select@^4.1.3",
    "name": "css-select",
    "escapedName": "css-select",
    "rawSpec": "^4.1.3",
    "saveSpec": null,
    "fetchSpec": "^4.1.3"
  },
  "_requiredBy": [
    "/cheerio-select",
    "/renderkid"
  ],
  "_resolved": "https://nexus.boos.solutions/repository/gpb-npm/css-select/-/css-select-4.1.3.tgz",
  "_shasum": "a70440f70317f2669118ad74ff105e65849c7067",
  "_spec": "css-select@^4.1.3",
  "_where": "/root/farzoom/eco-ebg/node_modules/cheerio-select",
  "author": {
    "name": "Felix Boehm",
    "email": "me@feedic.com"
  },
  "bugs": {
    "url": "https://github.com/fb55/css-select/issues"
  },
  "bundleDependencies": false,
  "dependencies": {
    "boolbase": "^1.0.0",
    "css-what": "^5.0.0",
    "domhandler": "^4.2.0",
    "domutils": "^2.6.0",
    "nth-check": "^2.0.0"
  },
  "deprecated": false,
  "description": "a CSS selector compiler/engine",
  "devDependencies": {
    "@types/boolbase": "^1.0.0",
    "@types/jest": "^26.0.14",
    "@types/node": "^15.0.2",
    "@typescript-eslint/eslint-plugin": "^4.1.0",
    "@typescript-eslint/parser": "^4.1.0",
    "cheerio-soupselect": "^0.1.1",
    "coveralls": "^3.0.2",
    "eslint": "^7.9.0",
    "eslint-config-prettier": "^8.1.0",
    "htmlparser2": "^6.0.0",
    "jest": "^27.0.3",
    "prettier": "^2.1.2",
    "ts-jest": "^27.0.1",
    "typescript": "^4.0.2"
  },
  "files": [
    "lib"
  ],
  "funding": {
    "url": "https://github.com/sponsors/fb55"
  },
  "homepage": "https://github.com/fb55/css-select#readme",
  "jest": {
    "preset": "ts-jest",
    "testEnvironment": "node",
    "testMatch": [
      "<rootDir>/test/*.ts"
    ]
  },
  "keywords": [
    "css",
    "selector",
    "sizzle"
  ],
  "license": "BSD-2-Clause",
  "main": "lib/index.js",
  "name": "css-select",
  "prettier": {
    "tabWidth": 4,
    "proseWrap": "always"
  },
  "repository": {
    "type": "git",
    "url": "git://github.com/fb55/css-select.git"
  },
  "scripts": {
    "build": "tsc",
    "coverage": "cat coverage/lcov.info | coveralls",
    "format": "npm run format:es && npm run format:prettier",
    "format:es": "npm run lint:es -- --fix",
    "format:prettier": "npm run prettier -- --write",
    "lint": "npm run lint:es && npm run lint:prettier",
    "lint:es": "eslint src",
    "lint:prettier": "npm run prettier -- --check",
    "prepare": "npm run build",
    "prettier": "prettier '**/*.{ts,md,json,yml}'",
    "test": "jest --coverage && npm run lint"
  },
  "types": "lib/index.d.ts",
  "version": "4.1.3"
}
